You are here: Foswiki>Tasks Web>Item9804 (07 Oct 2010, GeorgeClark)Edit Attach

Item9804: BlogAddOn incorrect dependency on CommentPlugin, and other errors

pencil
Priority: Normal
Current State: Closed
Released In: n/a
Target Release: n/a
Applies To: Extension
Component: BlogAddOn
Branches:
Reported By: GeorgeClark
Waiting For:
Last Change By: GeorgeClark
BlogAddOn has the following dependency entry:

Foswiki::Plugins::CommentPlugin,>=13313,perl,Required

Unfortunately that's T* revision numbering. Foswiki 1.1 is at 8843 and Foswiki 1.0.9, rev 6512

The CommentPlugin will be reinstalled any time the BlogAddOn is installed, and will always be reported as an unsatisfied dependency.

See Support.Question662

Also in testing this extension:

  • The _BlogAddOn web is missing a WebPreferences topic, so configure is unable to "check in" modified topics. It discovers the existing files and then fails due to a missing web when checking in the change.
  • The contrib is missing a lib/Foswiki/Contrib/BlogAddOn.pm stub file, so the Extension finder cannot file the installed version

-- GeorgeClark - 07 Oct 2010

 
Topic revision: r1 - 07 Oct 2010, GeorgeClark - This page was cached on 18 Sep 2021 - 07:55.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy